
I see no reason to handle TCGETS in presto_ioctl, and even if you do get
it somehow, the action is the same as the default.  This happens to break
on PA-RISC and not on i386 due to i386 using an old-style definition of
TCGETS and PA-RISC using one which invovles sizeof().

diff -urpNX dontdiff linus-2.6/fs/intermezzo/dir.c parisc-2.6/fs/intermezzo/dir.c
--- linus-2.6/fs/intermezzo/dir.c	Tue Aug 12 13:11:17 2003
+++ parisc-2.6/fs/intermezzo/dir.c	Tue Aug 12 13:29:43 2003
@@ -1304,10 +1304,6 @@ int presto_ioctl(struct inode *inode, st
                 return rc;
         }
 
-        case TCGETS:
-                EXIT;
-                return -EINVAL;
-
         default:
                 EXIT;
                 return -EINVAL;
